Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004041TestLinkAPI - XMLRPCpublic2010-11-20 16:432011-01-22 15:12
Reporterfman 
Assigned Tofman 
PriorityhighSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 (Prague) 
Fixed in Version1.9.1 (bug fixing) 
Summary0004041: API - getTestCasesForTestPlan() -Platform Information not provided
DescriptionOn Test Plan with platforms, test cases are linked to TEST PLAN + PLATFORM.
However this method in this situations does not provided information about platforms.

Output will be changed to provided a map of map, main key test case id, secondary key: platform ID -> 0 if there are no platforms linked to test plan.

see attached images

example:
test case id 3533 has been linked to 3 platforms (87,90,97) (image 1)
on image 2 - details of data for link to platform 87
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespng file icon tl-api-with-plat-1.png [^] (5,748 bytes) 2010-11-20 16:44


png file icon tl-api-with-plat-2.png [^] (8,279 bytes) 2010-11-20 16:44


zip file icon fix-4041.zip [^] (86,320 bytes) 2010-11-20 16:51

- Relationships
related to 0004019closedfman API - getTestCasesForTestPlan can't filter by platform name 
child of 0004039closed Availables Fixes for 1.9.0 (Prague) 

-  Notes
(0013413)
fman (administrator)
2011-01-22 15:12

1.9.1. released

- Issue History
Date Modified Username Field Change
2010-11-20 16:43 fman New Issue
2010-11-20 16:43 fman Status new => assigned
2010-11-20 16:43 fman Assigned To => fman
2010-11-20 16:43 fman Issue generated from: 0004019
2010-11-20 16:43 fman Relationship added related to 0004019
2010-11-20 16:44 fman File Added: tl-api-with-plat-1.png
2010-11-20 16:44 fman File Added: tl-api-with-plat-2.png
2010-11-20 16:45 fman Description Updated View Revisions
2010-11-20 16:46 fman Fixed in Version => 1.9.1 (bug fixing)
2010-11-20 16:51 fman File Added: fix-4041.zip
2010-11-20 16:52 fman Relationship added child of 0004039
2010-11-20 17:02 fman Status assigned => resolved
2010-11-20 17:02 fman Resolution open => fixed
2011-01-22 15:12 fman Note Added: 0013413
2011-01-22 15:12 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker